with GNATCOM.Dispinterface;

package MSHTML.IHTMLScreen3_Interface is

   type IHTMLScreen3_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IHTMLScreen3_Type);

   function Pointer (This : IHTMLScreen3_Type)
     return Pointer_To_IHTMLScreen3;

   procedure Attach (This    : in out IHTMLScreen3_Type;
                     Pointer : in     Pointer_To_IHTMLScreen3);

   function Get_systemXDPI
     (This : IHTMLScreen3_Type)
     return Interfaces.C.long;

   function Get_systemYDPI
     (This : IHTMLScreen3_Type)
     return Interfaces.C.long;

end MSHTML.IHTMLScreen3_Interface;

